import request from '@/utils/request'

export function myProcess(data){ 
	return request({
	  'url': '/flowable/task/myProcess',
	  'method': 'get',
	  data
	})
}
export function todoList(data){ 
	return request({
	  'url': '/flowable/task/todoList',
	  'method': 'get',
	  data
	})
}
export function finishedList(data){ 
	return request({
	  'url': '/flowable/task/finishedList',
	  'method': 'get',
	  data
	})
}

export function flowRecord(data){ 
	return request({
	  'url': '/flowable/task/flowRecord',
	  'method': 'get',
	  data
	})
}
export function complete(data){ 
	return request({
	  'url': '/flowable/task/complete', 
	  'method': 'post',
	  'data': data
	})
}
export function reject(data){ 
	return request({
	  'url': '/flowable/task/reject', 
	  'method': 'post',
	  'data': data
	})
}
export function stopProcess(data){ 
	return request({
	  'url': '/flowable/task/stopProcess', 
	  'method': 'post',
	  'data': data
	})
}
// 根据流程id查询请假表单
export function getLeaveApplicationByProcInsId(data){ 
	return request({
	  'url': '/routine/leaveApplication/getLeaveApplicationByProcInsId/'+data,
	  'method': 'get'  
	})
}
// 根据流程id查询处分表单
export function getDisciplinaryApplicationByProcInsId(data){ 
	return request({
	  'url': '/routine/disciplinaryApplication/getDisciplinaryApplicationByProcInsId/'+data,
	  'method': 'get' 
	})
}
// 根据流程id查询学生学生解除申请详细
export function getStuDisciplinaryRelieveByProcInsId(data) { 
	return request({
	  'url': '/routine/relieve/getStuDisciplinaryRelieveByProcInsId/'+data,
	  'method': 'get' 
	})
}

//任务管理   // 处理
// 如果已取消（已完成）不显示 取消申请按钮
// 学生角色进入 请假详情页面  可以修改，再次提交（修改表单 update，类似add的字段，
// 再次提交到辅导员 /task/complete）  只显示重新提交按钮
// 修改学生处分申请
export function updateDisciplinaryApplication(data) {
  return request({
    url: '/routine/disciplinaryApplication/update',
    method: 'post',
    data: data
  })
}


// 退回任务
export function returnTask(data) {
  return request({
    url: '/flowable/task/return',
    method: 'post',
    data: data
  })
}

// 可退回任务列表
export function returnList(data) {
  return request({
    url: '/flowable/task/returnList',
    method: 'post',
    data: data
  })
}